//
//  LKFOutputFilePackaged.swift
//  lkfc
//
//  Created by Alexander Holzer on 08.07.18.
//  Copyright © 2018 Alexander Holzer. All rights reserved.
//

import Foundation

public class LKFOutputFilePackaged : LKFOutputFile {
    
    var _output : [String]?
    
    public func executionBegin () {
        
    }
    
    public func packageExecuted () {
        
    }
    
    public func executionEnd () {
        
    }
    
    func add (_ line: String) {
        if _output == nil {
            _output = []
        }
        _output!.append(line)
    }
    
    public var output : [String]? {
        return _output
    }
}
